USBIP(8)

NAME
usbip - manage USB/IP devices

SYNOPSIS
usbip [options]

DESCRIPTION
Devices exported by USB/IP servers can be listed, attached and detached using this program.

OPTIONS

-a, --attach <host> <bus_id>

    Attach a remote USB device.

-x, --attachall <host>

    Attach all remote USB devices on the specific host.

-d, --detach <ports>

    Detach an imported USB device.

-l, --list <hosts>

    List exported USB devices.

-p, --port

    List virtual USB port status.

-D, --debug

    Print debugging information.

-v, --version

    Show version.

EXAMPLES

    client:# usbip --list server
        - List exportable usb devices on the server.

    client:# usbip --attach server 1-2
        - Connect the remote USB device.

    client:# usbip --port
        - Show virtual port status.

    client:# usbip --detach 0
        - Detach the usb device.

SEE ALSO
usbipd(8), usbip_attach_driver(8)